# Twelfth International Obfuscated C Code Contest

View the `index.html` web page for the given winning entry for information on how
on how to compile and run the winning program.  Look at the winning source and
try to figure how it does what it does! You may then wish to look at the
`Author's remarks` section for even more details.

The IOCCC has an official home page, [www.ioccc.org](https://www.ioccc.org), which contains
previous winning entries, information about the judges, announcements and much
more.

This year [Sriram Srinivasan](http://www.malhar.net/sriram/) joined the judging.

The moderator of
[comp.unix.wizards](https://groups.google.com/g/comp.unix.wizards) did not feel
that the IOCCC was "wizardly" enough to be posted to comp.unix.wizards so we will
no longer post the winning entries to this newsgroup - we'll let you the reader decide
for yourself the wizardry of these entries.

This year there were several people who won more than once and several [previous
winning authors](../authors.html) as well. The judging was done without knowledge of the
names of the submitters - multiple winning entries were a coincidence. Since we tend to
discount entries that are similar to previous entries, these people had to come
with original ideas to stay in the winning entry circle.

We wish to thank [CAIP at Rutgers
University](https://catalogs.rutgers.edu/generated/nb-grad_0305/pg20199.html)
for the use of their machines.

## A few notes regarding future contests

Due to changes in the [USENIX
conference](https://www.usenix.org/conferences/all) calendar, the [1996
contest](../years.html#1996) will be delayed.  Because there will be no Summer
1996 USENIX conference, the 1996 IOCCC winning entries will be announced at the Jan 1997
USENIX conference.

The 1996 contest will not open until sometime in October 1996, and will close
sometime around the end of December 1996.  The [rules for the 1996
contest](../1996/rules.txt) have not been formed at this time and are not expected
to be ready for distribution until late September 1996.

Be sure to wait until the [1996 rules](../1996/rules.txt) are posted before
submitting entries.  Rules differ from year to year, sometimes in significant
ways.

Please send us comments and suggestions what we have expressed above.
Also include anything else that you would like to see in future contests.
See [How to contact the IOCCC](../contact.html) for how to provide
us with your comments and suggestions today.

For those who appreciate a bit of Internet history, this is how
people used to contact the IOCCC in this given year, via [Unix to Unix CoPy
&lpar;UUCP&rpar;](https://en.wikipedia.org/wiki/UUCP#Mail_routing):

>   ...!{sun,pacbell,uunet,pyramid}!hoptoad!judges<br>
>   judges@toad.com

If you use, distribute or publish these entries in some way, please drop
us a line.  We enjoy seeing who, where and how the contest is used.


## Final Comments

**IMPORTANT NOTE**: The email addresses found above are for historical
purposes only, and should not be used today.  See
[contact.html](../contact.html) for up to date contact details
as well as details on how to provide fixes to any of the entries.
See also the [IOCCC FAQ](../faq.html) for additional information on the IOCCC.


## Credits

We would like to thank Barbara Frezza for her role as official chef of
the contest.  Landon Noll, Larry Bassel and Sriram Srinivasan
appreciated the opportunity to serve as official taste testers.  And as
usual, the food was excellent.  The official menus of the 1995
Obfuscated C Contest dinners were:


### Session One:

**Antipasti**: Crudites, olive selection, pickles, cheese selection<br>
**Soup**: Homemade mushroom and green onion soup<br>
**Salad**: artichoke, red bell peppers, Italian onions, cucumbers and Greek olives with mustard vinaigrette<br>
**Main Course**: Pizzas, with a variety of toppings<br>
**Dessert**: Chocolate torte


### Session Two:

**Antipasti**: crudites, olives, roasted red peppers, cheese selection<br>
**Salad**: Mixed greens with vinaigrette<br>
**Main Course**: Spaghetti with tomato sauce containing mushrooms and black olives selection of hot and mild Italian sausages<br>
**Bread**: Fresh French bread<br>
**Dessert**: Cookie selection, featuring chocolate chocolate chip cookies and chocolate butter cookies


### Session Three

**Antipasti**: Crudites, olive selection<br>
**Salad**: Mixed greens with mustard vinaigrette<br>
**Main Course**: Broiled salmon with lemon pepper mayonnaise, chard, mixture of white and wild rices<br>
**Bread**: Cheese bread with herbs<br>
**Dessert**: Chocolate cheesecake (Courtesy of Elizabeth Watson)


### Session Four:

**Antipasti**: Crudites, olive selection, roasted red peppers, cheese selection<br>
**Bread**: Sourdough<br>
**Salad**: Mixed spring greens with flowers, and mustard vinaigrette<br>
**Main Course**: Surf and Turf--Grilled steaks of salmon and New York steak grilled
vegetables--onions, peppers, portobello mushrooms wild rice<br>
**Dessert**: Chocolate mousse


### Session Five:

**Antipasti**: Crudites, olive selection, pickles<br>
**Salad**: Mixed spring greens with mustard vinaigrette<br>
**Main Course**: Linguini with a cream sauce of shiitake mushrooms and smoked
salmon<br>
**Bread**: Garlic bread<br>
**Dessert**: Flour-less chocolate torte


### Session Six:

**Antipasti**: Carrot and celery sticks with cheese spread, olive selection,
pickles<br>
**Bread**: Focaccia with black olives and mozzarella cheeses<br>
**Salad**: Mixed spring greens with flowers and mustard vinaigrette<br>
**Soup**: Homemade butternut squash soup with mushrooms<br>
**Main Course**: Cracked Dungeness crab with lemon mayonnaise, broccoli, mixture of
white and brown rice<br>
**Dessert**: Key lime pie


<!--

    Copyright © 1984-2024 by Landon Curt Noll. All Rights Reserved.

    You are free to share and adapt this file under the terms of this license:

        Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)

    For more information, see:

        https://creativecommons.org/licenses/by-sa/4.0/

-->
